<!DOCTYPE html>
<html>

<head>
  <title> Bootstrap template- Pizza 365 project </title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

  <!-- Bootstrap -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onPageLoading()">

  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#plans">Plans</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#about">About</a>
              </li>
              <li class="nav-item"> <!-- đổi thành dạng click để dễ xử lý-->
                <button class="btn" onclick="onNavOrderDetailClick()"> Order Detail</button>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <h1><b>Pizza 365 <<br>>
                  Truly italian !</b></h1>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/mon_y_1.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_2.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_3.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_4.jpg" alt="Fourth slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_5.jpg" alt="Fifth slide">
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title Tại sao lại Pizza 365 -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365:</b></h2>
          </div>

          <!-- Content Tại sao lại Pizza 365 -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 bg-warning border">
                <h3 class="p-2">Design</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-success border">
                <h3 class="p-2"><br>anding</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-primary text-white border">
                <h3 class="p-2">Consultation</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
              <div class="col-sm-3 p-4 bg-danger text-white border">
                <h3 class="p-2">Promises</h3>
                <p class="p-2">Phasellus eget enim eu lectus faucibus vestibulum. Suspendisse sodales pellentesque
                  elementum.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu Combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn cỡ pizza phù hợp với bạn!</span></p>
          </div>
          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>S (small)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính <b>20cm</b></li>
                      <li class="list-group-item">Sườn nướng <b>20</b></li>
                      <li class="list-group-item">Salad <b>200</b></li>
                      <li class="list-group-item">Nước ngọt <b>2</b></li>
                      <li class="list-group-item">
                        <h1><b>150.000</b></h1> VNĐ
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-success" data-is-selected-menu="N" id="btn-small"
                      onclick="onBtnChonSmall()">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-secondary text-white text-center">
                    <h3>M (medium)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính <b>25cm</b></li>
                      <li class="list-group-item">Sườn nướng <b>4</b></li>
                      <li class="list-group-item">Salad <b>300</b></li>
                      <li class="list-group-item">Nước ngọt <b>3</b></li>
                      <li class="list-group-item">
                        <h1><b>200.000</b></h1> VNĐ
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-success" data-is-selected-menu="N" id="btn-medium"
                      onclick="onBtnChonMedium()">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>L (large)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính <b>30cm</b></li>
                      <li class="list-group-item">Sườn nướng <b>8</b></li>
                      <li class="list-group-item">Salad <b>500</b></li>
                      <li class="list-group-item">Nước ngọt <b>4</b></li>
                      <li class="list-group-item">
                        <h1><b>250.000</b></h1> VNĐ
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-success" data-is-selected-menu="N" id="btn-large"
                      onclick="onBtnChonLarge()">Chọn</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div id="about" class="row">
          <!-- Title Chọn loại Pizza -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
          </div>
          <!-- Content Chọn loại Pizza -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_1.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Hawai</h3>
                    <p>Signature</p>
                    <p>Mang cả Hawai đến bàn ăn của bạn. Hãy để Pizza 365 đem Hawai tới cho bạn nhé </p>
                    <p><button class="btn btn-info w-100" data-is-selected-pizza="N" id="btn-hawaii"
                        onclick="onBtnChonHawai()">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_2.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Seafood</h3>
                    <p>Best Seller</p>
                    <p>Apuaman sẽ phải rung sợ trước bạn. Bạn muốn làm vua biển cả chứ? </p>
                    <p><button class="btn btn-info w-100" data-is-selected-pizza="N" id="btn-seafood"
                        onclick="onBtnChonSeafood()">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/pizza_type_3.jpg" class="card-img-top">
                  <div class="card-body">
                    <h3>Bacon</h3>
                    <p>Italian</p>
                    <p>Lôi cuốn không thể ngừng với sự hòa quyện tinh tế các hương vị của người Ý </p>
                    <p><button class="btn btn-info w-100" data-is-selected-pizza="N" id="btn-bacon"
                        onclick="onBtnChonBacon()">Chọn</button></p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-sm-12 p-4">
            <h2>Chọn đồ uống bạn thích </h2>
          </div>
          <div class="col-sm-12">
            <select name="select-drink" id="select-drink" class="form-control">
              <option value="NOT_SELECT_DRINK">Chọn nước</option>

            </select>
          </div>
        </div>
      </div>

      <div id="contact" class="row">
        <!-- Title Contact Us -->
        <div class="col-sm-12 text-center p-4 mt-4">
          <h2><b class="p-2 border-bottom">Contact Us</b></h2>
        </div>

        <!-- Content Contact Us -->
        <div class="col-sm-12">
          <div class="row">
            <div class="col-sm-12">
              <div class="form-group">
                <label for="fullname">Họ và tên</label>
                <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
              </div>
              <div class="form-group">
                <label for="email">Email</label>
                <input type="text" class="form-control" id="inp-email" placeholder="Email">
              </div>
              <div class="form-group">
                <label for="dien-thoai">Điện thoại</label>
                <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
              </div>
              <div class="form-group">
                <label for="dia-chi">Địa chỉ</label>
                <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
              </div>
              <div class="form-group">
                <label for="message">Lời nhắn</label>
                <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
              </div>
              <div class="form-group">
                <label for="message">Mã giảm giá</label>
                <input type="text" class="form-control" id="inp-voucher-id" placeholder="mã giảm giá">
              </div>
              <button type="button" class="btn btn-dark w-100" onclick="onBtnSendData()">Send (Gửi đơn)</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- vùng hiển thị thông tin đơn hàng -->
  <div class="container form-group" style="display: none;" id="div-container-subject">
    <div class="container bg-info">
      <div id="div-subject-infor" class="text-white p-3">...</div>
    </div>
    <button id="div-subject-button" class="btn btn-warning text-black form-control text-center" type="button"
      onclick="onBtnCreateOrder()">Gửi đơn</button>
  </div>
  <div class="container  bg-warning " id="div-create-order-code" style="display: none;">
    <div class="row  bg-warning">
      <div class="col-sm-12">
        <p>Cảm ơn đã đặt hàng</p>
      </div>
    </div>
    <div class="row  bg-warning" style="margin: 12px;">
      <div class="col-sm-3">
        <label>Mã đơn hàng:</label>
      </div>
      <div class="col-sm-8 border border-dark" id="created-code">

      </div>
    </div>
  </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-light p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
        </div>
      </div>
    </div>
  </div>
</body>

<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  const gREQUEST_STATUS_OK = 200;
  const gREQUEST_CREATE_SUCCESS = 201;
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365";
  const gSelectedPlanStructureSmall = nhapThongTinSize("S (small)", "20cm", 2, 200, 2, 150000);
  const gSelectedPlanStructureMedium = nhapThongTinSize("M (medium)", "25cm", 4, 300, 3, 200000);
  const gSelectedPlanStructureLarge = nhapThongTinSize("L (large)", "30cm", 8, 500, 4, 500000);
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  function onNavOrderDetailClick() {
    console.log("%cGọi chi tiết order ở đây", "color:blue");
  }
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  // funtion nút chọn size
  function onBtnChonSmall() {
    changeColorBtnChonSize("S (small)");
    gSelectedPlanStructureSmall.displayInConsoleLog();
  }
  function onBtnChonMedium() {
    changeColorBtnChonSize("M (medium)");
    gSelectedPlanStructureMedium.displayInConsoleLog();
  }
  function onBtnChonLarge() {
    changeColorBtnChonSize("L (large)");
    gSelectedPlanStructureLarge.displayInConsoleLog();
  }

  //Nút chọn loại
  function onBtnChonHawai() {
    changeColorChonLoai("Hawai");
    console.log("Style: Hawai");
  }

  function onBtnChonSeafood() {
    changeColorChonLoai("Seafood");
    console.log("Style: Seafood");
  }

  function onBtnChonBacon() {
    changeColorChonLoai("Bacon");
    console.log("Style: Bacon");
  }
  //Load page đổ dữ liệu nước uống vào select
  function onPageLoading() {
    //B1: Đọc - không có

    //B2: Kiểm tra - không có

    //B3: Xử lý Api
    var vXmlHttp = new XMLHttpRequest();
    callApiDrink(vXmlHttp);

    vXmlHttp.onreadystatechange =
      function () {
        if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
          console.log(vXmlHttp.responseText); //ghi response text ra console.log
          //B4: Đổ dữ liệu vào select
          fillDataToSelect(vXmlHttp);
        }
      };
  }
  //Nút send được nhấn
  function onBtnSendData() {
    var vOrder = {
      menuDuocChon: "",
      loaiPizza: "",
      loaiNuocUong: "",
      hoVaTen: "",
      email: "",
      dienThoai: 0,
      diaChi: "",
      loiNhan: "",
      voucher: "",
      phanTramGiamGia: 0,

      priceDiscount: function () {
        if (this.menuDuocChon == "S (small)") {
          return (1 - this.phanTramGiamGia / 100) * gSelectedPlanStructureSmall.priceVND;
        }
        else if (this.menuDuocChon == "M (medium)") {
          return (1 - this.phanTramGiamGia / 100) * gSelectedPlanStructureMedium.priceVND;
        }
        else if (this.menuDuocChon == "L (large)") {
          return (1 - this.phanTramGiamGia / 100) * gSelectedPlanStructureLarge.priceVND;
        }
      }
    };

    getDataOrder(vOrder);
    var vHopLe = kiemTraUserData(vOrder);
    if (vHopLe) {
      console.log("button send click")
      hienThiDonHang(vOrder);
    }
  }

  function onBtnCreateOrder() {
    var vObjCreateOrder = {
      kichCo: "",
      duongKinh: "",
      suon: "",
      salad: "",
      loaiPizza: "",
      idVourcher: "",
      idLoaiNuocUong: "",
      soLuongNuoc: "",
      hoTen: "",
      thanhTien: "",
      email: "",
      soDienThoai: "",
      diaChi: "",
      loiNhan: ""
    }
    getDataCreateOrder(vObjCreateOrder);
    var vXMLHttpRequest = new XMLHttpRequest();
    callApiCreareOrder(vObjCreateOrder, vXMLHttpRequest);
    vXMLHttpRequest.onreadystatechange = function () {
      if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_SUCCESS) {
        var vCreatedOrder = vXMLHttpRequest.responseText;
        var vCreatedOrderObj = JSON.parse(vCreatedOrder);
        var vInputOrderCode = document.getElementById("created-code");
        vInputOrderCode.setAttribute("data-id", vCreatedOrderObj.id);
        vInputOrderCode.setAttribute("data-order-code", vCreatedOrderObj.orderCode);
        vInputOrderCode.value = vCreatedOrderObj.orderCode;
        console.log(vCreatedOrder);
        showCreateOrderCode(vCreatedOrder);
      }
    }
  }
  function onNavOrderDetailClick() {
    var vID = document.getElementById("created-code").getAttribute("data-id");
    var vOrderCode = document.getElementById("created-code").getAttribute("data-order-code");
    var vUrl = "order-update.html?id=" + vID + "&orderCode=" + vOrderCode;
    window.location.href = vUrl;
  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  //Đổi màu nút chọn size
  //Nút được bấm sẽ đổi màu, các nút còn lại giữ màu ban đầu
  //Khi đổi nút thì nút được bấm trước đó sẽ quay lại màu mặc định
  function changeColorBtnChonSize(paramChon) {
    var vChonSmall = document.getElementById("btn-small");
    var vChonMedium = document.getElementById("btn-medium");
    var vChonLarge = document.getElementById("btn-large");

    if (paramChon == "S (small)") {
      vChonSmall.className = "btn btn-warning";
      vChonSmall.setAttribute("data-is-selected-menu", "Y");
      vChonMedium.className = "btn btn-success";
      vChonMedium.setAttribute("data-is-selected-menu", "N");
      vChonLarge.className = "btn btn-success";
      vChonLarge.setAttribute("data-is-selected-menu", "N");
    }
    else if (paramChon == "M (medium)") {
      vChonSmall.className = "btn btn-success";
      vChonSmall.setAttribute("data-is-selected-menu", "N");
      vChonMedium.className = "btn btn-warning";
      vChonMedium.setAttribute("data-is-selected-menu", "Y");
      vChonLarge.className = "btn btn-success";
      vChonLarge.setAttribute("data-is-selected-menu", "N");
    }
    else if (paramChon == "L (large)") {
      vChonSmall.className = "btn btn-success";
      vChonSmall.setAttribute("data-is-selected-menu", "N");
      vChonMedium.className = "btn btn-success";
      vChonMedium.setAttribute("data-is-selected-menu", "N");
      vChonLarge.className = "btn btn-warning";
      vChonLarge.setAttribute("data-is-selected-menu", "Y");
    }
  }
  //Đổi màu có nút chọn loại
  //Nút được bấm sẽ đổi màu, các nút còn lại giữ màu ban đầu
  //Khi đổi nút thì nút được bấm trước đó sẽ quay lại màu mặc định
  function changeColorChonLoai(paramChon) {
    var vHawai = document.getElementById("btn-hawaii");
    var vSeafood = document.getElementById("btn-seafood");
    var vBacon = document.getElementById("btn-bacon");

    if (paramChon === "Hawai") {
      vHawai.className = "btn btn-warning w-100";
      vHawai.setAttribute("data-is-selected-pizza", "Y");

      vSeafood.className = "btn btn-info w-100";
      vSeafood.setAttribute("data-is-selected-pizza", "N");

      vBacon.className = "btn btn-info w-100";
      vBacon.setAttribute("data-is-selected-pizza", "N");
    }
    else if (paramChon === "Seafood") {
      vHawai.className = "btn btn-info w-100";
      vHawai.setAttribute("data-is-selected-pizza", "N");

      vSeafood.className = "btn btn-warning w-100";
      vSeafood.setAttribute("data-is-selected-pizza", "Y");

      vBacon.className = "btn btn-info w-100";
      vBacon.setAttribute("data-is-selected-pizza", "N");
    }
    else if (paramChon === "Bacon") {
      vHawai.className = "btn btn-info w-100";
      vHawai.setAttribute("data-is-selected-pizza", "N");

      vSeafood.className = "btn btn-info w-100";
      vSeafood.setAttribute("data-is-selected-pizza", "N");

      vBacon.className = "btn btn-warning w-100";
      vBacon.setAttribute("data-is-selected-pizza", "Y");
    }
  }
  //Nhập thông tin size bánh
  function nhapThongTinSize(paramName, paramDuongKinh, paramSuonNuong, paramSalad, paramDrink, paramPriceVND) {
    var vSizeCombo = {
      menuName: paramName,
      duongKinhCM: paramDuongKinh,
      suonNuong: paramSuonNuong,
      saladGr: paramSalad,
      drink: paramDrink,
      priceVND: paramPriceVND,



      displayInConsoleLog() {
        console.log("%cMENU SELECTED - Menu được chọn..........", "color:blue");
        console.log("Size: " + this.menuName);
        console.log("Đường kính: " + this.duongKinhCM);
        console.log("Sường nướng: " + this.suonNuong);
        console.log("Salad: " + this.saladGr);
        console.log("Drink: " + this.drink);
        console.log("Price: " + this.priceVND);
      },
    }
    return vSizeCombo;
  }
  //Kiểm tra thông tin khách hàng
  function kiemTraUserData(paramOrder) {
    if (paramOrder.hoVaTen == "") {
      alert("Nhập Họ và Tên!");
      return false;
    }
    if (paramOrder.dienThoai == "") {
      alert("Nhập số điện thoại!");
      return false;
    }
    if (paramOrder.diaChi == "") {
      alert("Nhập địa chỉ!");
      return false;
    }
    if (paramOrder.loaiNuocUong == "NOT_SELECT_DRINK") {
      alert("Chọn loại nước uống!");
      return false;
    }
    var vEmail = validateEmail(paramOrder.email);
    if (vEmail != true) {
      return false;
    }
    return true;
  }

  function validateEmail(paramEmail) {
    var vEmail = paramEmail;
    var mailformat = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;
    if (vEmail.match(mailformat)) {
      //document.form1.text1.focus();
      return true;
    }
    else {
      alert("Invalid email address!");
      //document.form1.text1.focus();
      return false;
    }

  }

  //Gọi Api đồ uống
  function callApiDrink(paramXmlHttp) {
    paramXmlHttp.open("GET", gBASE_URL + "/drinks/", true);
    paramXmlHttp.send();
  }
  //Thêm option cho select
  function fillDataToSelect(paramData) {
    var vObjData = JSON.parse(paramData.responseText);
    console.log(vObjData);
    var vSelectElement = document.getElementById("select-drink");

    for (var bI = 0; bI < vObjData.length; bI++) {
      var bOption = document.createElement("option");
      bOption.value = vObjData[bI].maNuocUong;
      bOption.text = vObjData[bI].tenNuocUong;
      vSelectElement.appendChild(bOption);
    }
  }

  function callApiVoucher(paramXmlHttp, paramVoucher) {
    paramXmlHttp.open("GET", gBASE_URL + "/voucher_detail/" + paramVoucher, false);
    paramXmlHttp.send(null);
  }

  function checkVoucherId(paramVoucher) {
    var vXmlHttp = new XMLHttpRequest();
    callApiVoucher(vXmlHttp, paramVoucher);
    if (vXmlHttp.status == gREQUEST_STATUS_OK) {
      var vVoucher = JSON.parse(vXmlHttp.responseText);
      return vVoucher;
    }
    else {
      alert("Không tìm thấy voucher!");
    }
  }


  function checkMenuDuocChon() {
    var vMenuSmall = document.getElementById("btn-small");
    var vMenuMedium = document.getElementById("btn-medium");
    var vMenuLarge = document.getElementById("btn-large");

    var vSmall = vMenuSmall.getAttribute("data-is-selected-menu");
    var vMedium = vMenuMedium.getAttribute("data-is-selected-menu");
    var vLarge = vMenuLarge.getAttribute("data-is-selected-menu");

    if (vSmall == "Y") {
      return "S (small)";
    }
    else if (vMedium == "Y") {
      return "M (medium)";
    }
    else if (vLarge == "Y") {
      return "L (large)";
    }
  }

  function checkLoaiPizza() {
    var vStyleHawaii = document.getElementById("btn-hawaii");
    var vStyleSeaFood = document.getElementById("btn-seafood");
    var vStyleBacon = document.getElementById("btn-bacon");

    var vHawaii = vStyleHawaii.getAttribute("data-is-selected-pizza");
    var vSeafood = vStyleSeaFood.getAttribute("data-is-selected-pizza");
    var vBacon = vStyleBacon.getAttribute("data-is-selected-pizza");

    if (vHawaii == "Y") {
      return "Hawaii";
    }
    else if (vSeafood == "Y") {
      return "Seafood";
    }
    else if (vBacon == "Y") {
      return "Bacon";
    }
  }

  function getDataOrder(paramOrder) {
    //debugger;
    var vHoTen = document.getElementById("inp-fullname");
    var vEmail = document.getElementById("inp-email");
    var vSoDienThoai = document.getElementById("inp-dien-thoai");
    var vDiaChi = document.getElementById("inp-dia-chi");
    var vLoiNhan = document.getElementById("inp-message");
    var vVoucher = document.getElementById("inp-voucher-id");
    var vDrink = document.getElementById("select-drink");

    paramOrder.menuDuocChon = checkMenuDuocChon();
    paramOrder.loaiPizza = checkLoaiPizza();
    paramOrder.loaiNuocUong = vDrink.value;
    paramOrder.hoVaTen = vHoTen.value;
    paramOrder.email = vEmail.value;
    paramOrder.dienThoai = vSoDienThoai.value;
    paramOrder.diaChi = vDiaChi.value;
    paramOrder.loiNhan = vLoiNhan.value;
    var vMaVoucher = checkVoucherId(vVoucher.value);
    paramOrder.voucher = vMaVoucher.maVoucher;
    paramOrder.phanTramGiamGia = vMaVoucher.phanTramGiamGia;
  }

  function hienThiDonHang(paramOrder) {
    var vDivContainer = document.getElementById("div-container-subject");
    var vDivInfor = document.getElementById("div-subject-infor");
    //var vDivButton = document.getElementById("div-subject-button");

    //vDivButton.style.display = "block";
    vDivContainer.style.display = "block";
    vDivInfor.innerHTML = "Họ và tên: " + paramOrder.hoVaTen + "<br>";
    vDivInfor.innerHTML += "Email: " + paramOrder.email + "<br>";
    vDivInfor.innerHTML += "Điện thoại: " + paramOrder.dienThoai + "<br>";
    vDivInfor.innerHTML += "Lời nhắn: " + paramOrder.loiNhan + "<br>";
    vDivInfor.innerHTML += "------------------------" + "<br>";
    if (paramOrder.menuDuocChon == "S (small)") {
      vDivInfor.innerHTML += "Kích cỡ: " + gSelectedPlanStructureSmall.menuName + "<br>";
      vDivInfor.innerHTML += "Đường kính: " + gSelectedPlanStructureSmall.duongKinhCM + "<br>";
      vDivInfor.innerHTML += "Sườn nướng: " + gSelectedPlanStructureSmall.suonNuong + "<br>";
      vDivInfor.innerHTML += "Salad: " + gSelectedPlanStructureSmall.saladGr + "<br>";
      vDivInfor.innerHTML += "Nước ngọt: " + gSelectedPlanStructureSmall.drink + "<br>";
    }
    else if (paramOrder.menuDuocChon == "M (medium)") {
      vDivInfor.innerHTML += "Kích cỡ: " + gSelectedPlanStructureMedium.menuName + "<br>";
      vDivInfor.innerHTML += "Đường kính: " + gSelectedPlanStructureMedium.duongKinhCM + "<br>";
      vDivInfor.innerHTML += "Sườn nướng: " + gSelectedPlanStructureMedium.suonNuong + "<br>";
      vDivInfor.innerHTML += "Salad: " + gSelectedPlanStructureMedium.saladGr + "<br>";
      vDivInfor.innerHTML += "Nước ngọt: " + gSelectedPlanStructureMedium.drink + "<br>";
    }
    else if (paramOrder.menuDuocChon == "L (large)") {
      vDivInfor.innerHTML += "Kích cỡ: " + gSelectedPlanStructureLarge.menuName + "<br>";
      vDivInfor.innerHTML += "Đường kính: " + gSelectedPlanStructureLarge.duongKinhCM + "<br>";
      vDivInfor.innerHTML += "Sườn nướng: " + gSelectedPlanStructureLarge.suonNuong + "<br>";
      vDivInfor.innerHTML += "Salad: " + gSelectedPlanStructureLarge.saladGr + "<br>";
      vDivInfor.innerHTML += "Nước ngọt: " + gSelectedPlanStructureLarge.drink + "<br>";
    }
    vDivInfor.innerHTML += "------------------------" + "<br>";
    vDivInfor.innerHTML += "Loại pizza: " + paramOrder.loaiPizza + "<br>";
    vDivInfor.innerHTML += "Loại nước uống: " + paramOrder.loaiNuocUong + "<br>";
    vDivInfor.innerHTML += "Mã voucher: " + paramOrder.voucher + "<br>";
    if (paramOrder.menuDuocChon == "S (small)") {
      vDivInfor.innerHTML += "Giá: " + gSelectedPlanStructureSmall.priceVND + "<br>";
    }
    else if (paramOrder.menuDuocChon == "M (medium)") {
      vDivInfor.innerHTML += "Giá: " + gSelectedPlanStructureMedium.priceVND + "<br>";
    }
    else if (paramOrder.menuDuocChon == "L (large)") {
      vDivInfor.innerHTML += "Giá: " + gSelectedPlanStructureLarge.priceVND + "<br>";
    }
    vDivInfor.innerHTML += "Discount(%): " + paramOrder.phanTramGiamGia + "<br>";
    vDivInfor.innerHTML += "Phải thanh toán: " + paramOrder.priceDiscount();
  }

  function getDataCreateOrder(paramCreateOrder) {
    var vHoTen = document.getElementById("inp-fullname");
    var vEmail = document.getElementById("inp-email");
    var vSoDienThoai = document.getElementById("inp-dien-thoai");
    var vDiaChi = document.getElementById("inp-dia-chi");
    var vLoiNhan = document.getElementById("inp-message");
    var vVoucher = document.getElementById("inp-voucher-id");
    var vDrink = document.getElementById("select-drink");

    paramCreateOrder.kichCo = checkMenuDuocChon();
    if (paramCreateOrder.kichCo == "S (small)") {
      paramCreateOrder.duongKinh = gSelectedPlanStructureSmall.duongKinhCM;
      paramCreateOrder.suon = gSelectedPlanStructureSmall.suonNuong;
      paramCreateOrder.salad = gSelectedPlanStructureSmall.saladGr;
      paramCreateOrder.thanhTien = gSelectedPlanStructureSmall.priceVND;
      paramCreateOrder.soLuongNuoc = gSelectedPlanStructureSmall.drink;
    }
    else if (paramCreateOrder.kichCo == "M (medium)") {
      paramCreateOrder.duongKinh = gSelectedPlanStructureSmall.duongKinhCM;
      paramCreateOrder.suon = gSelectedPlanStructureSmall.suonNuong;
      paramCreateOrder.salad = gSelectedPlanStructureSmall.saladGr;
      paramCreateOrder.thanhTien = gSelectedPlanStructureSmall.priceVND;
      paramCreateOrder.soLuongNuoc = gSelectedPlanStructureMedium.drink
    }
    else if (paramCreateOrder.kichCo == "L (large)") {
      paramCreateOrder.duongKinh = gSelectedPlanStructureSmall.duongKinhCM;
      paramCreateOrder.suon = gSelectedPlanStructureSmall.suonNuong;
      paramCreateOrder.salad = gSelectedPlanStructureSmall.saladGr;
      paramCreateOrder.thanhTien = gSelectedPlanStructureSmall.priceVND;
      paramCreateOrder.soLuongNuoc = gSelectedPlanStructureLarge.drink;
    }
    paramCreateOrder.loaiPizza = checkLoaiPizza();
    paramCreateOrder.idLoaiNuocUong = vDrink.value;
    paramCreateOrder.hoTen = vHoTen.value;
    paramCreateOrder.email = vEmail.value;
    paramCreateOrder.soDienThoai = vSoDienThoai.value;
    paramCreateOrder.diaChi = vDiaChi.value;
    paramCreateOrder.loiNhan = vLoiNhan.value;
    var vMaVoucher = checkVoucherId(vVoucher.value);
    paramCreateOrder.idVourcher = vMaVoucher.id;
  }

  function callApiCreareOrder(paramCreateOrder, paramXmlHttp) {
    paramXmlHttp.open("POST", gBASE_URL + "/orders", true);
    paramXmlHttp.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
    paramXmlHttp.send(JSON.stringify(paramCreateOrder));
  }

  function showCreateOrderCode(paramObjCreateOrder) {
    var vCreatedOrder = JSON.parse(paramObjCreateOrder);
    var vDivCreateOrder = document.getElementById("div-create-order-code");
    var vDivCreatedCode = document.getElementById("created-code");
    var vDivSubject = document.getElementById("div-container-subject");

    vDivSubject.style.display = "none";
    vDivCreateOrder.style.display = "block";
    vDivCreatedCode.innerHTML = vCreatedOrder.orderCode;
  }
</script>

</html>